if not dsc then return end
----------------------------------------------------------------------------
----------------------------------------------------------------------------

function getAM_log()
	return false -- false or  true -- :: log events|handlers in chat or not
end

function setAMSupport()
	if getAM_log() then LogToChat("setAMSupport") end

	local DESCR = {
		abbrev = "BO",
		notATPanel = true,
		desc = L("Automate open a boxes in your bag")..L("   REACTIONS: Left_Click, Right_Click"),
		on_click_hide = false, -- hide AddonsMenu when to show me
		vers = "r02b",
		lib = "AddonsTools r77",
		}

	--- проверка на совметимость версии библиотек
	local vers = AT_Vers()
	if vers.lib < 4 or vers.menu < 3 or vers.addons < 3 then 
		local w = mainForm:GetChildUnchecked("ErrorText", false)
		w:SetVal("value",ToWS(common.GetAddonName().." - "..L("ERROR: Install latest version of AddonsTools addon")))
		w:Show(true)
		return nil, DESCR
	end

	return { 
-----------------------------------------------------------
------------------------------------------------- EDIT HERE:
-----------------------------------------------------------
	--- Insert here Your own functions
	-- initialize this addon when confirmed start:
		ThisAddonInit = mainInit,

	},
	DESCR
end

